TJDOSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.triactive.jdo.TJDOSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.triactive.jdo
Class TJDOSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.modules.jdo.VendorExtensionsSubTask
                  xdoclet.modules.triactive.jdo.TJDOSubTask

All Implemented Interfaces:
  Serializable

public class TJDOSubTask
extends VendorExtensionsSubTask

Version:
  $Revision: 1.3 $
Author:
  Ludovic Claude (ludovicc@users.sourceforge.net), David Jencks
See Also:
  Serialized Form
ant.element
  display-name="Triactive TJDO support" name="triactive" parent="xdoclet.modules.jdo.JdoDocletTask"
created
  7 November 2002

Nested Class Summary
`static class` | `TJDOSubTask.TJDOVersionTypes`

Field Summary

Fields inherited from class xdoclet.modules.jdo.VendorExtensionsSubTask
`COLUMN_NAME_ATTR, RELATED_FIELD_ATTR, SQL_FIELD_TAG, SQL_RELATION_TAG, SQL_TABLE_TAG, STYLE_ATTR, STYLE_FOREIGN_KEY_VALUE, STYLE_RELATION_TABLE_VALUE, TABLE_NAME_ATTR`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`TJDOSubTask()`

Method Summary
`protected void` | `addSizeExtensions(Collection extensions, xjavadoc.XTag tag, String sourcePrefix, String targetPrefix)`
`protected Collection` | `getArrayExtensions()`
`protected Collection` | `getClassExtensions()`
`protected Collection` | `getCollectionExtensions()`
`protected Collection` | `getFieldExtensions()`
`protected Collection` | `getMapExtensions()`
`String` | `getVendorDescription()`
`String` | `getVendorName()`
`String` | `getVersion()` Gets the Version attribute of the TJDOSubTask object
`void` | `setVersion(TJDOSubTask.TJDOVersionTypes version)` The version of TJDO.

Methods inherited from class xdoclet.modules.jdo.VendorExtensionsSubTask
`execute, getCurrentClass, getCurrentConstructor, getCurrentField, getCurrentMethod, getCurrentPackage, getExtensions, getMetadataSubTask, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentConstructor, setCurrentField, setCurrentMethod, setCurrentPackage`

Methods inherited from class xdoclet.SubTask
`addConfigParam, copyAttributesFrom, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, init, setDestDir, setMergeDir, setSubTaskName, validateOptions`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClassTag, getCurrentFieldTag, getCurrentMethodTag, getCurrentTag, isDocletGenerated, setCurrentClassTag, setCurrentFieldTag, setCurrentMethodTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TJDOSubTask

    public TJDOSubTask()

Method Detail

### getVersion

    public String getVersion()

  Gets the Version attribute of the TJDOSubTask object

  Returns:
    The Version value

### getVendorName

    public String getVendorName()

  Specified by:
    `getVendorName` in class `VendorExtensionsSubTask`
  Returns:
  See Also:
    `VendorExtensionsSubTask.getVendorName()`

### getVendorDescription

    public String getVendorDescription()

  Specified by:
    `getVendorDescription` in class `VendorExtensionsSubTask`

### setVersion

    public void setVersion(TJDOSubTask.TJDOVersionTypes version)

  The version of TJDO. Supported versions are 2.0.

  Parameters:
    `version` - The new Version value

### getClassExtensions

    protected Collection getClassExtensions()
                                     throws XDocletException

  Specified by:
    `getClassExtensions` in class `VendorExtensionsSubTask`
  Returns:
  Throws:
    `XDocletException`

### getFieldExtensions

    protected Collection getFieldExtensions()
                                     throws XDocletException

  Specified by:
    `getFieldExtensions` in class `VendorExtensionsSubTask`
  Returns:
  Throws:
    `XDocletException`
  To do:
    column-length is likely to be standardizable

### getCollectionExtensions

    protected Collection getCollectionExtensions()
                                          throws XDocletException

  Specified by:
    `getCollectionExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

### getArrayExtensions

    protected Collection getArrayExtensions()
                                     throws XDocletException

  Specified by:
    `getArrayExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

### getMapExtensions

    protected Collection getMapExtensions()
                                   throws XDocletException

  Specified by:
    `getMapExtensions` in class `VendorExtensionsSubTask`
  Returns:
  Throws:
    `XDocletException`

### addSizeExtensions

    protected void addSizeExtensions(Collection extensions,
                                     xjavadoc.XTag tag,
                                     String sourcePrefix,
                                     String targetPrefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD